/*==========================================================================*/
/*              Reinier Bakels                                              */
/*              IBM Netherlands                                             */
/*              EAMSVM1(NL04191)                                            */
/*                                                                          */
/*              (C) Copyright IBM Corporation 1998                          */
/*==========================================================================*/
/* v1.0  04 Feb 1998  Created                                               */
/*==========================================================================*/
/* Program to interpret MQI "reason codes" using the MQCHECK module.        */
/*==========================================================================*/
/* Module Name: MQRC.C                                                      */
/*==========================================================================*/
#include <stdlib.h>
#include <stdio.h>
#include "mqcheck.h" // Not strictly required in C program, mandatory in a C++ program.

int main(int argc,char**argv)
{
   int reason = 0 ; // Reason code qualifying CompCode

   if (argc<2) { printf("Please specify MQRC <return code>.\n"); return -1; }
   reason = atoi(argv[1]);
   printf("Reason code %i: ",reason);
   mqCheck(
     0      // don't prefix any text (such as the preceding call name) to the message.
   , 2      // completionCode MQCC_FAILED, not relevant in this case
   , reason // reasonCode to be interpreted
   );

   return 0 ;
}
